Bug 201046 - [new port] cad/stepcode
Summary: [new port] cad/stepcode
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-22 15:12 UTC by Fernando Apesteguía
Modified: 2015-07-03 14:45 UTC (History)
0 users

See Also:


Attachments
shar file with new port (2.64 KB, text/plain)
2015-06-23 21:22 UTC, Fernando Apesteguía
no flags Details
shar file with new port (5.37 KB, text/plain)
2015-06-26 17:43 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2015-06-22 15:12:01 UTC
From the project's site:

The STEPcode project is a collection of open source libraries, tools, and resources for ISO 10303,the STandard for the Exchange of Product (STEP) model data.

This project provides a robust implementation of an EXPRESS schema parser for STEP's Part 21 files with bindings provided in C, C++, and Python.

------------

This port is needed for the next version of cad/openvsp that is still WIP.

The shar file for the new port is linked here:

https://www.dropbox.com/s/n5ilt8xxn7lsn15/stepcode.shar?dl=0

because it is slightly bigger than 1000 KB due to the pkg-plist size.

For the same reason, here are poudriere logs for {8.4,9.3,10.1}amd64:

https://www.dropbox.com/s/uk84zwy8ewcl29q/8_4amd64-stepcode-0.8.log?dl=0
https://www.dropbox.com/s/znz7kenog5eoaby/9_3amd64-stepcode-0.8.log?dl=0
https://www.dropbox.com/s/pl8ornxq1ihodli/10_1amd64-stepcode-0.8.log?dl=0
Comment 1 Dmitry Marakasov freebsd_committer 2015-06-22 19:16:57 UTC
plist is really too big. Is it possible to generate at least include/ part dynamically? See x11-toolkits/qtada for example.

Also

====> Running Q/A tests (stage-qa)
Warning: 'bin/schema_scanner' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Comment 2 Fernando Apesteguía freebsd_committer 2015-06-23 21:22:36 UTC
Created attachment 158027 [details]
shar file with new port
Comment 3 Fernando Apesteguía freebsd_committer 2015-06-23 21:30:26 UTC
Attached new shar file.

New poudriere logs are available here (still too large for bugzilla):

https://www.dropbox.com/s/rb64uq68r66b75p/8_4amd64-local.log?dl=0
https://www.dropbox.com/s/ng0j1ecemudobf2/9_3amd64-local.log?dl=0
https://www.dropbox.com/s/k3ykz9y7x11xg4m/10_1amd64-local.log?dl=0

PS: I didn't know about the use of TMPPLIST. It would be nice to have an example of how to use it in the handbook. I might send a patch to freebsd-docs
Comment 4 Dmitry Marakasov freebsd_committer 2015-06-24 17:48:54 UTC
- You don't need to manually gzip manpages - this is handled by the framework
- You don't need GH_PROJECT and GH_ACCOUNT, they already default to PORTNAME
- You don't need MASTER_SITES, this is handled by USE_GITHUB
- You should not compose PLIST out of whole prefix - this is unsafe and may account files which it shouldn't, such as files installed by license framework. I suggest to limit ${FIND} command with `include' subdirectory, leaving other files in the static pkg-plist and adding a comment there:

@comment include/* is handled dynamically in the Makefile
Comment 5 Fernando Apesteguía freebsd_committer 2015-06-26 17:43:54 UTC
Created attachment 158077 [details]
shar file with new port

shar with new port. Changes applied after suggestions made by amdmi3@
Comment 6 Fernando Apesteguía freebsd_committer 2015-06-26 17:46:54 UTC
I made some changes to the Makefile and the pkg-plist.

Attached new poudriere logs:

https://www.dropbox.com/s/rb64uq68r66b75p/8_4amd64-local.log?dl=0
https://www.dropbox.com/s/ng0j1ecemudobf2/9_3amd64-local.log?dl=0
https://www.dropbox.com/s/k3ykz9y7x11xg4m/10_1amd64-local.log?dl=0

Please note that they run fine in poudriere but portlint from porttools-1.04 reports two fatal errors:

$ portlint -a
FATAL: /usr/home/fernape/porting/stepcode/port/stepcode/pkg-plist: [116]: Unpacked man file exp2cxx.1 listed.  Must be gzipped.
FATAL: /usr/home/fernape/porting/stepcode/port/stepcode/pkg-plist: [117]: Unpacked man file fedex.1 listed.  Must be gzipped.
2 fatal errors and 0 warnings found.
Comment 7 Fernando Apesteguía freebsd_committer 2015-07-02 15:52:44 UTC
Any news on this?
Comment 8 commit-hook freebsd_committer 2015-07-03 14:45:48 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Jul  3 14:45:42 UTC 2015
New revision: 391246
URL: https://svnweb.freebsd.org/changeset/ports/391246

Log:
  In April/May 2012, STEP Class Library was renamed to STEPcode. This was done
  because the old name wasn't accurate - the class libraries are only a fraction
  of the software.

  The STEP Class Library (SCL) originated at the National Institute of Standards
  and Technology, or NIST. NIST started working with STEP in the 80's and
  continued until the late 90's. Some components of SCL were originally written
  in Lisp and then re-written in mixed C and C++ in the early 90's.
  The rest of SCL was written in C++ to begin with.

  STEPcode (SC) includes the class libraries, some of the most widely used EXPRESS
  schemas, some tools to work with EXPRESS, and support libraries for those tools.
  Two of the tools can create schema-specific libraries that are used with the
  class libraries. There are also some test files and programs.

  WWW: https://github.com/stepcode/stepcode/wiki

  PR:		201046
  Submitted by:	fernando.apesteguia@gmail.com

Changes:
  head/cad/Makefile
  head/cad/stepcode/
  head/cad/stepcode/Makefile
  head/cad/stepcode/distinfo
  head/cad/stepcode/pkg-descr
  head/cad/stepcode/pkg-plist